1. batch
new-brevet
  • auth
    • register
      POST
    • login
      POST
    • verification
      POST
    • resend verification
      POST
    • refresh token
      POST
    • logout
      DELETE
  • upload
    • upload documents
      POST
    • delete file
      DELETE
    • upload image
      POST
  • user
    • get all user
      GET
    • me
      GET
    • update my profile
      PUT
    • update user
      PUT
    • create user
      POST
    • delete user
      DELETE
  • blog
    • get all blogs
      GET
    • get blog by slug
      GET
    • update blog
      PUT
    • create blog
      POST
    • delete blog
      DELETE
  • batch
    • get batch by slug
      GET
    • get all batch
      GET
    • get quota remaining
      GET
    • get all batch by course slug
      GET
    • Get All purchases Copy
      GET
    • Get All students
      GET
    • delete batch
      DELETE
    • create batch
      POST
    • update batch
      PUT
  • group
    • get all group
    • get group by id
  • course
    • get all course
    • get course by slug
    • create course
    • update course
    • update course Copy
  • testimonial
    • get all testimonial by batch slug
    • get all testimonial
    • get testimonial by id
    • create testimonial
    • update testimonial
    • delete testimonial
  • purchase
    • Get All purchases
    • Get purchase by id
    • update status payment
  • me
    • Get All purchases Copy
    • Get all upcoming assignments
    • Get all upcoming quiz
    • Get purchase by id Copy
    • me
    • Get All score by batch id
    • Get My batch
    • generate my certificate by batch id
    • Get My certificate by batch id
    • Get progress by batch id
    • create purchase
    • cancel payment
    • upload payment
    • update my profile Copy
  • meeting
    • Get All Meetings
    • Get All meetings by batch slug
    • Get meeting by id
    • Get All teachers by meeting id
    • create meeting
    • update meeting
    • Delete meeting
    • assign teacher
    • update assign teacher (replace all)
    • unassign teacher from meeting
  • assignments
    • Get All Assignments
    • Get Assignment by id
    • Get All Assignments by meeting id
    • create assignment
    • update assignment
    • delete assignment
  • materials
    • Get All Materials
    • Get Material by id
    • Get All Materials by meeting id
    • create material
    • update material
    • delete material
  • attendance
    • Get All Attendances
    • Get All Attendances by batch slug
    • Get Attendance by ID
    • create attendance
  • certificate
    • Get certificate by cert id (admin, guru)
    • Get certificate for public (check if asli) Copy
    • Get certificate by batch id (admin, guru)
    • Get certificate by number for public
  • quiz
    • Get quiz by id
    • Get attempt active
    • get list of attempt in quiz
    • Get question by quiz id
    • get quiz by meeting id
    • Get attempt
    • Get attempt result
    • create quiz
    • update quiz
    • delete quiz
    • upload soal
    • start attempt quiz
    • submit attempt quiz
    • temporer submit
  • submission
    • Get detail submission
    • Get All Submissions by assigment id
    • Get submission grade
    • Get template excel grading
    • create submission
    • Grading with excel
    • grade submission
    • update submission
    • delete submission
  • score
    • get score by batch slug and student id
  • dashboard
    • admin
      • Get dashboard admin
      • Get revenue chart
      • Get pending payment
      • Get batch progress
      • Get teacher workload
      • Get certificate stats
      • Get recent activities
    • teacher
      • Get dashboard Teacher
    • student
      • Get dashboard student
      • Get dashboard Score
  1. batch

update batch

Developing
PUT
{{url}}/api/v1/batches/2ed35a29-08bc-445f-b95d-e8613ba5df03

Request

Header Params

Body Params application/json

Examples

Responses

🟢200OK
application/json
Body

🟢201Created
🟠400Already Register
🟢200OK
🟢200OK
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request PUT '{{url}}/api/v1/batches/2ed35a29-08bc-445f-b95d-e8613ba5df03' \
--header 'Authorization: Bearer {{token}}' \
--header 'Content-Type: application/json' \
--data-raw '{
  "title": "Batch Pagi 2025",
  "description": "Batch pagi untuk persiapan ujian CUNIN",
  "batch_thumbnail": "https://example.com/thumbnails/batch-pagi.jpg",
  "start_at": "2025-07-15T08:00:00Z",
  "end_at": "2025-09-15T10:00:00Z",
  "room": "Zoom Room A",
  "quota": 50,
  "course_type": "offline",
   "days": ["monday", "wednesday"],
   "group_types": ["mahasiswa_gunadarma"]
}'
Response Response Example
200 - Exception
{
    "error": {
        "GroupID": "GroupID harus berupa UUID v4"
    },
    "message": "Validasi gagal",
    "success": false
}
Modified at 2025-08-01 06:19:19
Previous
create batch
Next
get all group
Built with